GenerateKey.DistinguishedName (Apache Ant API)

Package org.apache.tools.ant.taskdefs

## Class GenerateKey.DistinguishedName

- java.lang.Object
- - org.apache.tools.ant.taskdefs.GenerateKey.DistinguishedName

- Enclosing class:
    GenerateKey

      public static class GenerateKey.DistinguishedName
      extends java.lang.Object

  A class corresponding to the dname nested element.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DistinguishedName()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `createParam()` | Create a param nested element.
    `java.lang.String` | `encode​(java.lang.String string)` | Encode a name or value.
    `java.util.Enumeration<GenerateKey.DnameParam>` | `getParams()` | Get the nested parameters.
    `java.lang.String` | `toString()` | Generate a string rep of this distinguished name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DistinguishedName

          public DistinguishedName()

  - ### Method Detail

    - #### createParam

          public java.lang.Object createParam()

      Create a param nested element.
      Returns:
        a DnameParam object to be configured.

    - #### getParams

          public java.util.Enumeration<GenerateKey.DnameParam> getParams()

      Get the nested parameters.
      Returns:
        an enumeration of the nested parameters.

    - #### toString

          public java.lang.String toString()

      Generate a string rep of this distinguished name. The format is each of the parameters (name = value) separated by ','. This is used on the command line.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string rep of this name

    - #### encode

          public java.lang.String encode​(java.lang.String string)

      Encode a name or value. The encoded result is the same as the input string except that each ',' is replaced by a '\,'.
      Parameters:
        `string` - the value to be encoded
      Returns:
        the encoded value.